net.sourceforge.pmd.lang.jsp.ast

## Class JspParserTokenManager

- java.lang.Object
- - net.sourceforge.pmd.lang.ast.AbstractTokenManager
  - - net.sourceforge.pmd.lang.jsp.ast.JspParserTokenManager

- All Implemented Interfaces:
    JspParserConstants

      public class JspParserTokenManager
      extends AbstractTokenManager
      implements JspParserConstants

  Token Manager.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected char` | `curChar`
    `PrintStream` | `debugStream` Debug output.
    `protected CharStream` | `input_stream`
    `static int[]` | `jjnewLexState` Lex State array.
    `static String[]` | `jjstrLiteralImages` Token literal values.
    `static String[]` | `lexStateNames` Lexer state names.

    - ### Fields inherited from class net.sourceforge.pmd.lang.ast.AbstractTokenManager

      `suppressMap, suppressMarker`

    - ### Fields inherited from interface net.sourceforge.pmd.lang.jsp.ast.JspParserConstants

      `AfterTagState, ALPHA_CHAR, ALPHANUM_CHAR, ATTR_EQ, ATTR_NAME, AttrValueBetweenDoubleQuotesState, AttrValueBetweenSingleQuotesState, AttrValueNoQuotesState, AttrValueState, CDATA_END, CDATA_START, CDataState, COMMENT_END, COMMENT_START, COMMENT_TEXT, CommentState, DECL_END, DECL_START, DEFAULT, DOCTYPE_DECL_END, DOCTYPE_DECL_START, DocTypeExternalIdState, DocTypeState, DOLLAR_OR_HASH, DOLLAR_OR_HASH_DOUBLE_QUOTE, DOLLAR_OR_HASH_SINGLE_QUOTE, DOUBLE_QUOTE, EL_ESCAPE, EL_EXPRESSION, EL_EXPRESSION_IN_ATTRIBUTE, ENDING_DOUBLE_QUOTE, ENDING_SINGLE_QUOTE, ENDING_WHITESPACE, ENDTAG_START, EOF, HTML_SCRIPT_CONTENT, HTML_SCRIPT_END_TAG, HTML_SCRIPT_START, HtmlScriptContentState, IDENTIFIER, IDENTIFIER_CHAR, IN_ATTR_WHITESPACE, IN_TAG_ERROR, InTagState, JSP_COMMENT_CONTENT, JSP_COMMENT_END, JSP_COMMENT_START, JSP_DECLARATION, JSP_DECLARATION_END, JSP_DECLARATION_START, JSP_DIRECTIVE_ATTRIBUTE_EQUALS, JSP_DIRECTIVE_ATTRIBUTE_NAME, JSP_DIRECTIVE_ATTRIBUTE_VALUE, JSP_DIRECTIVE_END, JSP_DIRECTIVE_NAME, JSP_DIRECTIVE_START, JSP_EXPRESSION, JSP_EXPRESSION_END, JSP_EXPRESSION_IN_ATTRIBUTE, JSP_EXPRESSION_START, JSP_SCRIPTLET, JSP_SCRIPTLET_END, JSP_SCRIPTLET_START, JspCommentState, JspDeclarationState, JspDirectiveAttributesState, JspDirectiveState, JspExpressionState, JspScriptletState, LST_ERROR, NAME, NEWLINE, NO_ENDTAG_START, NO_JSP_COMMENT_END, NO_JSP_TAG_END, NO_LT_OR_DOLLAR_OR_HASH, NO_OPENBRACE, NO_QUOTE_NO_WHITESPACE, NO_WHITESPACE_OR_LT_OR_DOLLAR, NUM_CHAR, PUBLIC, QUOTE, QUOTED_LITERAL, QUOTED_STRING, QUOTED_STRING_NO_BREAKS, SINGLE_QUOTE, StartTagState, SYSTEM, TAG_END, TAG_NAME, TAG_SLASHEND, TAG_START, TEXT_IN_EL, tokenImage, UNPARSED, UNPARSED_TEXT, UNPARSED_TEXT_NO_DOUBLE_QUOTES, UNPARSED_TEXT_NO_SINGLE_QUOTES, UNPARSED_TEXT_NO_WHITESPACE, VALUE_BINDING_IN_ATTRIBUTE, WHITESPACE, WHITESPACES, XMLNAME`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JspParserTokenManager(CharStream stream)` Constructor.
    `JspParserTokenManager(CharStream stream, int lexState)` Constructor.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Token` | `getNextToken()` Get the next Token.
    `protected Token` | `jjFillToken()`
    `void` | `ReInit(CharStream stream)` Reinitialise parser.
    `void` | `ReInit(CharStream stream, int lexState)` Reinitialise parser.
    `void` | `setDebugStream(PrintStream ds)` Set debug output.
    `void` | `SwitchTo(int lexState)` Switch to specified lex state.

    - ### Methods inherited from class net.sourceforge.pmd.lang.ast.AbstractTokenManager

      `getFileName, getSuppressMap, setFileName, setSuppressMarker`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### debugStream

          public PrintStream debugStream

      Debug output.

    - #### jjstrLiteralImages

          public static final String[] jjstrLiteralImages

      Token literal values.

    - #### lexStateNames

          public static final String[] lexStateNames

      Lexer state names.

    - #### jjnewLexState

          public static final int[] jjnewLexState

      Lex State array.

    - #### input_stream

          protected CharStream input_stream

    - #### curChar

          protected char curChar

  - ### Constructor Detail

    - #### JspParserTokenManager

          public JspParserTokenManager(CharStream stream)

      Constructor.

    - #### JspParserTokenManager

          public JspParserTokenManager(CharStream stream,
                               int lexState)

      Constructor.

  - ### Method Detail

    - #### setDebugStream

          public void setDebugStream(PrintStream ds)

      Set debug output.

    - #### ReInit

          public void ReInit(CharStream stream)

      Reinitialise parser.

    - #### ReInit

          public void ReInit(CharStream stream,
                    int lexState)

      Reinitialise parser.

    - #### SwitchTo

          public void SwitchTo(int lexState)

      Switch to specified lex state.

    - #### jjFillToken

          protected Token jjFillToken()

    - #### getNextToken

          public Token getNextToken()

      Get the next Token.

Copyright © 2002-2013 InfoEther. All Rights Reserved.